package com.eactive.eai.adapter.socket2.protocol.tcseed;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import com.eactive.eai.adapter.socket2.protocol.TcpAdapterServer;
import com.eactive.eai.adapter.socket2.protocol.fixedheader.codec.FixedHeaderCodecFactory;
import com.eactive.eai.adapter.socket2.protocol.tcseed.handshake.TcseedServerFilter;
import org.apache.mina.filter.codec.ProtocolCodecFilter;


public class TcseedServer extends TcpAdapterServer {
	public TcseedServer(SocketAdapterContext context) throws Exception {
		super(context);

		this.handler = new TcseedHandler(this);
		
		config.getFilterChain().addFirst("codec", new ProtocolCodecFilter(new FixedHeaderCodecFactory(this)));
		config.getFilterChain().addAfter("codec", "tcseed", new TcseedServerFilter(this));
	}
}
